# Get-RASEnrollmentServerStatus.md

## NAME

Get-RASEnrollmentServerStatus

## SYNOPSIS

Retrieves information about one or multiple Enrollment servers statuses.

## SYNTAX

\*\*Get-RASEnrollmentServerStatus \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASEnrollmentServerStatus \[\[-[InputObject](#inputobject)] *(*[*EnrollmentServer*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASEnrollmentServerStatus \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple Enrollment servers statuses.

## PARAMETERS

## Server (string)

The name of the Enrollment server for which to retrieve the information.

This must be the actual server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified Enrollment server information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Enrollment server. To obtain the ID, use the Get-RASEnrollmentServer cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)) An object of type EnrollmentServer representing the Enrollment server.

To obtain the object, use the Get-RASEnrollmentServer cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)

## OUTPUTS

[EnrollmentServerStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserverstatus.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASEnrollmentServerStatus -Id 10

Retrieves information about the Enrollment server specified by its ID.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasenrollmentserverstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
